com.sun.grid.jgdi.monitoring

## Class QQuotaResultImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.QQuotaResultImpl

- All Implemented Interfaces:
    QQuotaResult, java.io.Serializable

      public class QQuotaResultImpl
      extends java.lang.Object
      implements QQuotaResult, java.io.Serializable

  Default Implemenation of the `QQuotaResult` interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QQuotaResultImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceQuotaRuleInfo(ResourceQuotaRuleInfo resouceQuotaRuleInfo)`
    `ResourceQuotaRuleInfo` | `createResourceQuotaRuleInfo(java.lang.String resouceQuotaRuleName)`
    `ResourceQuotaRuleInfo` | `getResourceQuotaRuleInfo(java.lang.String resourceQuotaRuleName)` Get a resource quotal
    `java.util.Set<java.lang.String>` | `getResourceQuotaRuleNames()` Get a set of all resource quota rule names
    `java.util.List<ResourceQuotaRuleInfo>` | `getResourceQuotaRules()` Get a list of all available resource quota info objects

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QQuotaResultImpl

          public QQuotaResultImpl()

  - ### Method Detail

    - #### getResourceQuotaRuleNames

          public java.util.Set<java.lang.String> getResourceQuotaRuleNames()

      Description copied from interface: `QQuotaResult`
      Get a set of all resource quota rule names
      Specified by:
        `getResourceQuotaRuleNames` in interface `QQuotaResult`
      Returns:
        set of resource quota

    - #### createResourceQuotaRuleInfo

          public ResourceQuotaRuleInfo createResourceQuotaRuleInfo(java.lang.String resouceQuotaRuleName)

    - #### addResourceQuotaRuleInfo

          public void addResourceQuotaRuleInfo(ResourceQuotaRuleInfo resouceQuotaRuleInfo)

    - #### getResourceQuotaRuleInfo

          public ResourceQuotaRuleInfo getResourceQuotaRuleInfo(java.lang.String resourceQuotaRuleName)

      Description copied from interface: `QQuotaResult`
      Get a resource quotal
      Specified by:
        `getResourceQuotaRuleInfo` in interface `QQuotaResult`
      Parameters:
        `resourceQuotaRuleName` - name of the resource quota
      Returns:
        the resource quota information

    - #### getResourceQuotaRules

          public java.util.List<ResourceQuotaRuleInfo> getResourceQuotaRules()

      Description copied from interface: `QQuotaResult`
      Get a list of all available resource quota info objects
      Specified by:
        `getResourceQuotaRules` in interface `QQuotaResult`
      Returns:
        list of all available resource quota info objects

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.